<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy8ckit__028__epd_8h" kind="file" language="C++">
    <compoundname>cy8ckit_028_epd.h</compoundname>
    <includes local="yes" refid="cy8ckit__028__epd__pins_8h">cy8ckit_028_epd_pins.h</includes>
    <includes local="yes">cy_result.h</includes>
    <includes local="yes">cybsp.h</includes>
    <includes local="yes">cyhal_i2c.h</includes>
    <includes local="yes">cyhal_pdmpcm.h</includes>
    <includes local="yes">mtb_bmi160.h</includes>
    <includes local="yes">mtb_thermistor_ntc_gpio.h</includes>
    <includes local="yes">mtb_e2271cs021.h</includes>
    <includedby local="yes" refid="cy8ckit__028__epd_8c">cy8ckit_028_epd.c</includedby>
    <incdepgraph>
      <node id="9">
        <label>mtb_e2271cs021.h</label>
      </node>
      <node id="8">
        <label>mtb_thermistor_ntc_gpio.h</label>
      </node>
      <node id="5">
        <label>cyhal_i2c.h</label>
      </node>
      <node id="2">
        <label>cy8ckit_028_epd.h</label>
        <link refid="cy8ckit__028__epd_8h" />
        <childnode refid="3" relation="include">
        </childnode>
        <childnode refid="4" relation="include">
        </childnode>
        <childnode refid="5" relation="include">
        </childnode>
        <childnode refid="6" relation="include">
        </childnode>
        <childnode refid="7" relation="include">
        </childnode>
        <childnode refid="8" relation="include">
        </childnode>
        <childnode refid="9" relation="include">
        </childnode>
      </node>
      <node id="3">
        <label>cy_result.h</label>
      </node>
      <node id="7">
        <label>mtb_bmi160.h</label>
      </node>
      <node id="6">
        <label>cyhal_pdmpcm.h</label>
      </node>
      <node id="4">
        <label>cybsp.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga0302881fb9347aa07ade1dd4d5b8c02d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy8ckit_028_epd_init</definition>
        <argsstring>(cyhal_i2c_t *i2c_inst, cyhal_spi_t *spi_inst, cyhal_adc_t *adc_inst, cyhal_pdm_pcm_cfg_t *pdm_pcm_cfg, cyhal_clock_t *audio_clock_inst)</argsstring>
        <name>cy8ckit_028_epd_init</name>
        <param>
          <type>cyhal_i2c_t *</type>
          <declname>i2c_inst</declname>
        </param>
        <param>
          <type>cyhal_spi_t *</type>
          <declname>spi_inst</declname>
        </param>
        <param>
          <type>cyhal_adc_t *</type>
          <declname>adc_inst</declname>
        </param>
        <param>
          <type>cyhal_pdm_pcm_cfg_t *</type>
          <declname>pdm_pcm_cfg</declname>
        </param>
        <param>
          <type>cyhal_clock_t *</type>
          <declname>audio_clock_inst</declname>
        </param>
        <briefdescription>
<para>Initialize the shield board and all peripherals contained on it. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">i2c_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional I2C instance to use for communicating with the motion sensor on the shield. If NULL, a new instance will be allocated using the CYBSP_I2C_SCL &amp; CYBSP_I2C_SDA pins. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">spi_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional SPI instance to use for communicating with the display on the shield. If NULL, a new instance will be allocated using the CYBSP_D11 (mosi), CYBSP_D12 (miso), CYBSP_D13 (sclk) &amp; CYBSP_D14 (cs) pins. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adc_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>An optional ADC instance used for reading the thermistor. If NULL, a new instance will be allocated. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pdm_pcm_cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>The configuration for the PDM object used with the microphone. If NULL, the PDM object will not be initialized. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">audio_clock_inst</parametername>
</parameternamelist>
<parameterdescription>
<para>The audio clock used with the microphone. If NULL, the PDM object will not be initialized. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="153" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="73" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.h" line="92" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1gae7124001298674f12cf4a6e3332d9414" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>mtb_thermistor_ntc_gpio_t *</type>
        <definition>mtb_thermistor_ntc_gpio_t* cy8ckit_028_epd_get_thermistor</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_thermistor</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the thermistor object. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the thermistor object on this shield. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="158" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="155" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.h" line="102" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1gaa9be2f5bdc49d6867c4ad435681aa48a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>mtb_thermistor_ntc_gpio_cfg_t *</type>
        <definition>mtb_thermistor_ntc_gpio_cfg_t* cy8ckit_028_epd_get_thermistor_cfg</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_thermistor_cfg</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the thermistor config object. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the thermistor configuration. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="163" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="160" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.h" line="108" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1gaac9b29d116cdcdef7536bcba061e546f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>mtb_bmi160_t *</type>
        <definition>mtb_bmi160_t* cy8ckit_028_epd_get_motion_sensor</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_motion_sensor</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the motion sensor object. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the motion sensor object on this shield. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="168" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="165" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.h" line="114" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga909126e8782a11b87d70508dd558c741" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t *</type>
        <definition>uint8_t* cy8ckit_028_epd_get_previous_frame</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_previous_frame</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to a buffer that is allocated by the shield library and contains the previous eink frame. </para>        </briefdescription>
        <detaileddescription>
<para>The size of this buffer is defined by the display driver's PV_EINK_IMAGE_SIZE variable. <simplesect kind="return"><para>A reference to the previous display frame. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="173" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="170" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.h" line="122" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga3852735d93a15c3ab4daa87f20a9ac8d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t *</type>
        <definition>uint8_t* cy8ckit_028_epd_get_current_frame</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_current_frame</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to a buffer that is allocated by the shield library and contains the current eink frame. </para>        </briefdescription>
        <detaileddescription>
<para>Note: If EMWIN is enabled the allocated memory is instead allocated and owned by the EMWIN library. Either way this function will return a valid pointer to that memory. The size of this buffer is defined by the display driver's PV_EINK_IMAGE_SIZE variable. <simplesect kind="return"><para>A reference to the current display frame. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="178" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="175" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.h" line="133" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga53feb0188da8be2593c02b677450fd42" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cyhal_pdm_pcm_t *</type>
        <definition>cyhal_pdm_pcm_t* cy8ckit_028_epd_get_pdm</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_get_pdm</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gives the user access to the PDM object used with the microphone. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A reference to the PDM microphone object on this shield. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="183" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="180" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.h" line="139" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs__shield_1ga045b4e97ca404ff21654051209b92177" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy8ckit_028_epd_free</definition>
        <argsstring>(void)</argsstring>
        <name>cy8ckit_028_epd_free</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Frees up any resources allocated as part of <ref kindref="member" refid="group__group__board__libs__shield_1ga0302881fb9347aa07ade1dd4d5b8c02d">cy8ckit_028_epd_init()</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="207" bodyfile="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.c" bodystart="185" column="1" file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.h" line="144" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Description: This file is the top level interface for the CY8CKIT-028-EPD shield board. </para>    </briefdescription>
    <detaileddescription>
<para>For the details of E-INK display hardware and driver interface, see the documents available at the following website: <ulink url="https://www.pervasivedisplays.com/product/2-71-e-ink-display/">https://www.pervasivedisplays.com/product/2-71-e-ink-display/</ulink></para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/**************************************************************************/</highlight></codeline>
<codeline lineno="29"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy8ckit_028_epd_pins.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cybsp.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_i2c.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_pdmpcm.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"mtb_bmi160.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"mtb_thermistor_ntc_gpio.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"mtb_e2271cs021.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal">{</highlight></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga0302881fb9347aa07ade1dd4d5b8c02d">cy8ckit_028_epd_init</ref>(cyhal_i2c_t<sp />*i2c_inst,<sp />cyhal_spi_t<sp />*spi_inst,<sp />cyhal_adc_t<sp />*adc_inst,</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_pdm_pcm_cfg_t<sp />*pdm_pcm_cfg,</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_clock_t<sp />*audio_clock_inst);</highlight></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="comment">//<sp />For<sp />more<sp />information<sp />about<sp />the<sp />pdm_pcm_cfg<sp />and<sp />audio_clock_inst<sp />parameters,</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /><highlight class="comment">//<sp />see<sp />../common/microphone_spk0838ht4hb.h</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal">mtb_thermistor_ntc_gpio_t<sp />*<ref kindref="member" refid="group__group__board__libs__shield_1gae7124001298674f12cf4a6e3332d9414">cy8ckit_028_epd_get_thermistor</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal">mtb_thermistor_ntc_gpio_cfg_t<sp />*<ref kindref="member" refid="group__group__board__libs__shield_1gaa9be2f5bdc49d6867c4ad435681aa48a">cy8ckit_028_epd_get_thermistor_cfg</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal">mtb_bmi160_t*<sp /><ref kindref="member" refid="group__group__board__libs__shield_1gaac9b29d116cdcdef7536bcba061e546f">cy8ckit_028_epd_get_motion_sensor</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal">uint8_t<sp />*<ref kindref="member" refid="group__group__board__libs__shield_1ga909126e8782a11b87d70508dd558c741">cy8ckit_028_epd_get_previous_frame</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="123"><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal">uint8_t<sp />*<ref kindref="member" refid="group__group__board__libs__shield_1ga3852735d93a15c3ab4daa87f20a9ac8d">cy8ckit_028_epd_get_current_frame</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal">cyhal_pdm_pcm_t*<sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga53feb0188da8be2593c02b677450fd42">cy8ckit_028_epd_get_pdm</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__board__libs__shield_1ga045b4e97ca404ff21654051209b92177">cy8ckit_028_epd_free</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal">}</highlight></codeline>
<codeline lineno="148"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_CY8CKIT-028-EPD/CY8CKIT-028-EPD/cy8ckit_028_epd.h" />
  </compounddef>
</doxygen>